Name:          gr-osmosdr
Version:       0.2.5
Release:       2mamba
Summary:       GNU Radio block for interfacing with various radio hardware
Group:         Applications/Communication
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitea.osmocom.org/sdr/gr-osmosdr
Source:        https://gitea.osmocom.org/sdr/gr-osmosdr.git/v%{version}/gr-osmosdr-%{version}.tar.bz2
Patch0:        gr-osmosdr-0.2.3-libboost-1.79.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libboost-devel
BuildRequires: libfmt-devel
BuildRequires: libgcc
BuildRequires: libgmp-cxx-devel
BuildRequires: libgmp-devel
BuildRequires: libgnuradio-devel
BuildRequires: libpython311-devel
BuildRequires: librtlsdr-devel
BuildRequires: libspdlog-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvolk-devel
## AUTOBUILDREQ-END
BuildRequires: libvolk-devel >= 3.1.0-1mamba
BuildRequires: libgnuradio-devel >= 3.10.8.0-1mamba
BuildRequires: cmake
BuildRequires: libspdlog-devel >= 1.11.0
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
GNU Radio block for interfacing with various radio hardware.

%package -n lib%{name}
Group:         System/Libraries
Summary:       GNU Radio block for interfacing with various radio hardware
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
GNU Radio block for interfacing with various radio hardware.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#%patch0 -p1 -b .libboost-1.79.0

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/osmocom_fft
%{_bindir}/osmocom_siggen_nogui
%{_datadir}/gnuradio/grc/blocks/osmosdr_sink.block.yml
%{_datadir}/gnuradio/grc/blocks/osmosdr_source.block.yml
%{_datadir}/gnuradio/grc/blocks/rtlsdr_source.block.yml

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgnuradio-osmosdr.so.*
%dir %{python3_sitearch}/osmosdr
%{python3_sitearch}/osmosdr/*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/osmosdr
%{_includedir}/osmosdr/*h
%{_libdir}/libgnuradio-osmosdr.so
%dir %{_libdir}/cmake/osmosdr
%{_libdir}/cmake/osmosdr/gnuradio-osmosdr*.cmake
%dir %{_docdir}/gr-osmosdr
%dir %{_docdir}/gr-osmosdr/html
%{_docdir}/gr-osmosdr/html/*
%dir %{_docdir}/gr-osmosdr/xml
%{_docdir}/gr-osmosdr/xml/*
#%doc README


%changelog
* Tue Dec 26 2023 Automatic Build System <autodist@mambasoft.it> 0.2.5-2mamba
- rebuilt by autoport with build requirements: libvolk-devel>=3.1.0-1mamba

* Thu Dec 07 2023 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic version update by autodist

* Thu Nov 16 2023 Automatic Build System <autodist@mambasoft.it> 0.2.4-5mamba
- rebuilt by autoport with build requirements: libgnuradio-devel>=3.10.8.0-1mamba,libgnuradio-devel>=3.10.8.0-1mamba

* Thu Oct 19 2023 Automatic Build System <autodist@mambasoft.it> 0.2.4-4mamba
- rebuilt by autoport with build requirements: libvolk-devel>=3.0.0-1mamba

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 0.2.4-3mamba
- rebuilt by autoport with build requirements: libgnuradio-devel>=3.10.7.0-1mamba,libgnuradio-devel>=3.10.7.0-1mamba

* Sun Jan 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-2mamba
- rebuilt with gnuradio 3.10.5.0 and spdlog 1.11.0

* Tue Jan 10 2023 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic version update by autodist

* Fri May 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-1mamba
- package created using the webbuild interface
